/*
* This file is part of project OpenEmbroidery. It's copyrighted by
* the contributors recorded in the version control history of the file.
* Original project location https://code.electrolab.fr/openEmbroidery/openEmbroidery_software
*
* SPDX-License-Identifier: CECILL-2.1
* License-Filename: Licence_CeCILL_V2.1-en.txt
*/

#pragma once

#include "OE_document.h"
#include "OE_interfaceDisplay.h"
#include "OE_controller.h"

struct OE_root
{
	OE_root() : document(0), display(0), interfaceDisplay(0), controller(0)
	{
	}

	OE_document* document;
	OE_display* display;
	OE_interfaceDisplay* interfaceDisplay;
	OE_controller* controller;
};

void startMain();

