/*
* This file is part of project OpenEmbroidery. It's copyrighted by
* the contributors recorded in the version control history of the file.
* Original project location https://code.electrolab.fr/openEmbroidery/openEmbroidery_software
*
* SPDX-License-Identifier: CECILL-2.1
* License-Filename: Licence_CeCILL_V2.1-en.txt
*/

#pragma once

#include <string>

class OE_document;

struct OE_io
{
	const char* extension;
	const char* description;
	bool (*loadFromFile)(std::string file, OE_document* document);
	bool (*saveToFile)(const OE_document* document, std::string file);
};

