/*
* This file is part of project OpenEmbroidery. It's copyrighted by
* the contributors recorded in the version control history of the file.
* Original project location https://code.electrolab.fr/openEmbroidery/openEmbroidery_software
*
* SPDX-License-Identifier: CECILL-2.1
* License-Filename: Licence_CeCILL_V2.1-en.txt
*/

#pragma once

#include "instructions/OE_instruction.h"
#include "OE_utils.h"

class OE_waitcolor : public OE_instruction
{
	public:
		/** Default constructor */
		OE_waitcolor(int index, OE_color color);
		/** Default destructor */
		virtual ~OE_waitcolor();

		OE_color getThreadColor();

	protected:
		OE_color threadColor;
};

